version: '3.8'

services:
  web:
    build:
      context: .
      target: development
    ports:
      - "8000:8000"
    profiles:
      - development
    volumes:
      - .:/usr/src/app:ro

  web_production:
    build:
      context: .
      target: production
    ports:
      - "8000:8000"
    profiles:
      - production
    volumes:
      - .:/usr/src/app:ro

  tox:
    build:
      context: .
      target: tox
    environment:
      COVERAGE_FILE: /tox/coverage
      TOXINI_WORK_DIR: /tox/work
      TOXINI_ARTEFACT_DIR: /tox/build
    profiles:
      - utilities
    volumes:
      - .:/usr/src/app:ro
      - ./build/compose/tox:/tox
